<?php
/**
* @package phpBB Extension - Extension Credits
* @copyright (c) 2022 Sniper_E - https://www.sniper-e.com
* @copyright (c) 2021 Martin - https://www.martins-play-ground.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*/

namespace sniper\extcredits\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{
	/** @var \phpbb\template\template */
	protected $template;

	/**
	* Constructor
	*
	* @param \phpbb\template\template	$template
	* @param \phpbb\user				$user
	*
	*/
	public function __construct(
		\phpbb\template\template $template
	)
	{
		$this->template = $template;
	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.user_setup'  => 'load_language_on_setup',
			'core.page_header' => 'page_header',
		);
	}

	public function load_language_on_setup($event)
	{
		$lang_set_ext = $event['lang_set_ext'];
		$lang_set_ext[] = array(
			'ext_name' => 'sniper/extcredits',
			'lang_set' => 'extcredits',
		);
		$event['lang_set_ext'] = $lang_set_ext;
	}

	public function page_header($event)
	{
		$this->template->assign_vars(array(
			'S_EXTENSION_CREDITS' => true,
		));
	}
}
